#include<stdio.h>

/* 
-------------------------------------------------------------------------------
Equacions de Lotka-Volterra (versio normalitzada) 
-------------------------------------------------------------------------------
Dades: rx (factor de creixement especie X), ry (factor de creixement especie
       Y), alfa (influencia de Y sobre X, parametre normalitzat), beta
       (influencia de X sobre Y, parametre normalitzat), x (nombre inicial
       exemplars de l'especie X, normalitzat), y (nombre inicial exemplars 
       especie Y, normalitzat), max (nombre de passos).
Resultats: Fitxer "herba1.dat", amb tres columnes. Cada fila representa un
           instant de temps. La primera columna es l'ordinal de l'instant
           de temps, la segona el nombre d'exemplars de l'espcie X i la
           tercera el nombre d'exemplars de l'especie Y.
Dades de prova: rx=2.0 ry=2.0 alfa=0.75 beta=0.75 x=0.1 y=0.05 max=2 ==>
                0, 0.1, 0.05; 1, 0.1725, 0.0875; 2, 0.262847, 0.137047
Observacions: -
-------------------------------------------------------------------------------
*/

main()
{
int max,n;
float x,y,xn,yn,rx,ry,alfa,beta;
FILE *arxiu;

printf("Introdueix un valor del parametre Rx: ");
scanf("%f",&rx);
printf("Introdueix un valor del parametre Ry: ");
scanf("%f",&ry);
printf("Introdueix un valor del parametre alfa: ");
scanf("%f",&alfa);
printf("Introdueix un valor del parametre beta: ");
scanf("%f",&beta);
printf("Valor inicial especie X: ");
scanf("%f",&x);
printf("Valor inicial especie Y: ");
scanf("%f",&y);
printf("numero de passos: ");
scanf("%d",&max);
arxiu=fopen("herba1.dat","w");
fprintf(arxiu,"%d %f %f\n",0,x,y);
for(n=1;n<=max;n++)
	{
	xn=rx*x*(1.0-x-alfa*y);
        yn=ry*y*(1.0-y-beta*x);
	x=xn;
	y=yn;
	fprintf(arxiu,"%d %f %f\n",n,x,y);
	}
fclose(arxiu);
}



